# Hedera ## Docs - [Get account by alias, id, or evm address](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/get-account-by-alias-id-or-evm-address.md): Return the account transactions and balance information given an account alias, an account id, or an evm address. The information will be limited to at most 1000 token balances for the account as outlined in HIP-367. When the timestamp parameter is supplied, we will return transactions and account s… - [Get crypto allowances for an account info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/get-crypto-allowances-for-an-account-info.md): Returns information for all crypto allowances for an account. - [Get fungible token allowances for an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/get-fungible-token-allowances-for-an-account.md): Returns information for fungible token allowances for an account. - [Get nfts for an account info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/get-nfts-for-an-account-info.md): Returns information for all non-fungible tokens for an account. - [Get non fungible token allowances for an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/get-non-fungible-token-allowances-for-an-account.md): Returns an account's non-fungible token allowances. - [Get past staking reward payouts for an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/get-past-staking-reward-payouts-for-an-account.md): Returns information for all past staking reward payouts for an account. - [Get token relationships info for an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/get-token-relationships-info-for-an-account.md): Returns information for all token relationships for an account. - [List account entities on network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/accounts/list-account-entities-on-network.md): Returns a list of all account entity items on the network. - [Get outstanding token airdrops sent by an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/airdrops/get-outstanding-token-airdrops-sent-by-an-account.md): Returns outstanding token airdrops that have been sent by an account. - [Get pending token airdrops received by an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/airdrops/get-pending-token-airdrops-received-by-an-account.md): Returns pending token airdrops that have been received by an account. - [List account balances](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/balances/list-account-balances.md): Returns a list of account and token balances on the network. The latest balance information is returned when there is no timestamp query parameter, otherwise, the information is retrieved from snapshots with 15-minute granularity. This information is limited to at most 50 token balances per account… - [Get block by hash or number](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/blocks/get-block-by-hash-or-number.md): Returns the block information by given hash or number. - [List blocks](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/blocks/list-blocks.md): Returns a list of blocks on the network. - [Get verified contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contract-lookup/get-verified-contract.md): By default returns minimal information about the contract: `match`, `creation_match`, `runtime_match`, `chainId`, `address`, and `verifiedAt` - [Get verified contract at an address on all chains](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contract-lookup/get-verified-contract-at-an-address-on-all-chains.md): Returns all verified deployments at an address on all Sourcify chains (including deprecated ones). - [List of verified contracts per chain](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contract-lookup/list-of-verified-contracts-per-chain.md): Retrieve the verified contracts on a chain - [Get contract by id](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/get-contract-by-id.md): Return the contract information given an id - [Get the contract actions from a contract on the network for a given transactionId or ethereum transaction hash](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/get-the-contract-actions-from-a-contract-on-the-network-for-a-given-transactionid-or-ethereum-transaction-hash.md): Returns a list of ContractActions for a contract's function executions for a given transactionId or ethereum transaction hash. - [Get the contract result from a contract on the network executed at a given timestamp](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/get-the-contract-result-from-a-contract-on-the-network-executed-at-a-given-timestamp.md): Returns a single ContractResult for a contract's function executions at a specific timestamp. - [Get the contract result from a contract on the network for a given transactionId or ethereum transaction hash](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/get-the-contract-result-from-a-contract-on-the-network-for-a-given-transactionid-or-ethereum-transaction-hash.md): Returns a single ContractResult for a contract's function executions for a given transactionId or ethereum transaction hash. - [Get the opcode traces for a historical transaction on the network with the given transaction ID or hash](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/get-the-opcode-traces-for-a-historical-transaction-on-the-network-with-the-given-transaction-id-or-hash.md): Re-executes a transaction and returns a result containing detailed information for the execution, including all values from the {@code stack}, {@code memory} and {@code storage} and the entire trace of opcodes that were executed during the replay. - [Invoke a smart contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/invoke-a-smart-contract.md): Returns a result from EVM execution such as cost-free execution of read-only smart contract queries, gas estimation, and transient simulation of read-write operations. If the `estimate` field is set to true gas estimation is executed. This API can process calls against the `latest` block or specific… - [List contract entities on network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/list-contract-entities-on-network.md): Returns a list of all contract entity items on the network. - [List contract logs from a contract on the network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/list-contract-logs-from-a-contract-on-the-network.md): Search the logs of a specific contract across multiple contract calls. Chained logs are not included but can be found by calling `/api/v1/contracts/{contractId}/results/{timestamp}` or `/api/v1/contracts/results/{transactionId}`. When searching by topic a timestamp parameter must be supplied and spa… - [List contract results from a contract on the network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/list-contract-results-from-a-contract-on-the-network.md): Returns a list of all ContractResults for a contract's function executions. - [List contract results from all contracts on the network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/list-contract-results-from-all-contracts-on-the-network.md): Returns a list of all ContractResults for all contract's function executions. - [List contracts logs across many contracts on the network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/list-contracts-logs-across-many-contracts-on-the-network.md): Search the logs across many contracts with multiple contract calls. Chained logs are not included but can be found by calling `/api/v1/contracts/{contractId}/results/{timestamp}` or `/api/v1/contracts/results/{transactionId}`. When searching by topic a timestamp parameter must be supplied and span a… - [The contract state from a contract on the network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/contracts/the-contract-state-from-a-contract-on-the-network.md): Returns a list of all contract's slots. If no timestamp is provided, returns the current state. - [List all components](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/list-all-components.md): Provides detailed information about each component of the Hedera network. - [Estimate network fees](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/network/estimate-network-fees.md): Given a protobuf-encoded HAPI transaction, returns an itemized fee estimate in tinycents. The response is broken down into `node`, `network`, and `service` components, each with a `base` price and a list of `extras` (e.g., signatures, memo bytes). The `total` field is the sum of all subtotals. - [Get network stake information](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/network/get-network-stake-information.md): Returns the network's current stake information. - [Get registered nodes](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/network/get-registered-nodes.md): Returns the list of registered nodes - [Get the network address book nodes](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/network/get-the-network-address-book-nodes.md): Returns the network's list of nodes used in consensus - [Get the network exchange rate to estimate costs](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/network/get-the-network-exchange-rate-to-estimate-costs.md): Returns the network's exchange rate, current and next. - [Get the network fees](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/network/get-the-network-fees.md): Returns the estimated gas in tinybars per each transaction type. Default order is ASC. Currently only `ContractCall`, `ContractCreate` and `EthereumTransaction` transaction types are supported. - [Get the network supply](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/network/get-the-network-supply.md): Returns the network's released supply of hbars - [Get the list of supported and deprecated chains](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/other/get-the-list-of-supported-and-deprecated-chains.md) - [Get version information](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/other/get-version-information.md): Returns version information for the server and its dependencies, along with the git commit hash - [Health check endpoint](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/other/health-check-endpoint.md): Returns server health status - [Retrieve a summary of the status page.](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/retrieve-a-summary-of-the-status-page.md): Get a summary of the status page, including a status indicator, component statuses, unresolved incidents, and any upcoming or in-progress scheduled maintenances. - [Retrieve active scheduled maintenances](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/retrieve-active-scheduled-maintenances.md): Fetches details about all currently active scheduled maintenance events for the Hedera network. - [Retrieve all incidents](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/retrieve-all-incidents.md): Fetches a list of all incidents, both resolved and unresolved, affecting the Hedera network. - [Retrieve all scheduled maintenances](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/retrieve-all-scheduled-maintenances.md): Fetches details about all scheduled maintenance events for the Hedera network. - [Retrieve the current status of the Hedera network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/retrieve-the-current-status-of-the-hedera-network.md): Fetches the overall status and health indicators of the Hedera network. - [Retrieve unresolved incidents](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/retrieve-unresolved-incidents.md): Provides information about all currently unresolved incidents affecting the Hedera network. - [Retrieve upcoming scheduled maintenances](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/retrieve-upcoming-scheduled-maintenances.md): Provides information about all upcoming scheduled maintenance events for the Hedera network. - [Get schedule by id](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/schedules/get-schedule-by-id.md): Returns schedule information based on the given schedule id - [List schedules entities](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/schedules/list-schedules-entities.md): Lists schedules on the network that govern the execution logic of scheduled transactions. This includes executed and non executed schedules. - [Get an nfts transction history](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/tokens/get-an-nfts-transction-history.md): Returns a list of transactions for a given non-fungible token - [Get nft info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/tokens/get-nft-info.md): Returns information for a non-fungible token - [Get token by id](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/tokens/get-token-by-id.md): Returns token entity information given the id - [List nfts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/tokens/list-nfts.md): Returns a list of non-fungible tokens - [List token balances](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/tokens/list-token-balances.md): Returns a list of token balances given the id. This represents the Token supply distribution across the network - [List tokens](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/tokens/list-tokens.md): Returns a list of tokens on the network. - [Get topic by ID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/topics/get-topic-by-id.md): Returns the topic details for the given topic ID. - [Get topic message by consensusTimestamp](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/topics/get-topic-message-by-consensustimestamp.md): Returns a topic message the given the consensusTimestamp. - [Get topic message by id and sequence number](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/topics/get-topic-message-by-id-and-sequence-number.md): Returns a single topic message for the given topic id and sequence number. - [List topic messages by id](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/topics/list-topic-messages-by-id.md): Returns the list of topic messages for the given topic id. - [Get transaction by id](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/transactions/get-transaction-by-id.md): Returns transaction information based on the given transaction id - [List transactions](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/transactions/list-transactions.md): Lists transactions on the network. This includes successful and unsuccessful transactions. - [Check verification job status](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/verification-jobs/check-verification-job-status.md): Endpoint to get the status of a verification job. - [Import from Etherscan](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/verify-contracts/import-from-etherscan.md): Import a contract verified on an Etherscan instance or a service with Etherscan-alike API - [Verify Contract (Standard JSON)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/verify-contracts/verify-contract-standard-json.md): Submit a contract for verification via the [Solidity standard JSON input](https://docs.soliditylang.org/en/latest/using-the-compiler.html#input-description), [Vyper JSON input](https://docs.vyperlang.org/en/stable/compiling-a-contract.html#input-json-description), or Fe JSON input (a Sourcify-define… - [Verify Contract (using Solidity metadata.json)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/verify-contracts/verify-contract-using-solidity-metadatajson.md): Endpoint to submit a verification with the Solidity [metadata.json](https://docs.soliditylang.org/en/latest/metadata.html) - [Verify contract via similarity search](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/api-reference/verify-contracts/verify-contract-via-similarity-search.md): Starts a verification job that searches the Sourcify database for contracts whose runtime bytecode is similar to the contract deployed at the given address. The job will attempt to verify against each candidate until a match is found or the candidate list is exhausted. - [Smart Contract Addresses](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/addresses.md) - [EVM Archive Node Queries](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/archive-queries.md) - [Compiling Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/compiling.md) - [Creating Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/creating.md) - [Deploying Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/deploying.md) - [Forking Hedera Network for Local Testing](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/forking.md) - [Gas and Fees](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/gas-fees.md): Understanding gas costs, throttling, and fee calculation for Hiero Contracts - [JSON-RPC Relay](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/json-rpc/index.md) - [Smart Contract Rent](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/rent.md) - [Smart Contract Security](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/security.md) - [Smart Contract Traceability](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/traceability.md) - [Troubleshooting](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/troubleshooting.md): Diagnose and fix common issues when developing EVM smart contracts on Hedera. - [Verifying Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/development/verifying.md) - [Accounts, Signature Verification & Keys (ECDSA vs. ED25519)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/accounts-and-keys.md) - [Decimal Handling (8 vs. 18 Decimals)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/hbar-decimals.md) - [Understanding Hedera's EVM Differences and Compatibility](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/index.md) - [JSON-RPC Relay and EVM Tooling](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/json-rpc-differences.md): Learn how to use the JSON-RPC relay and familiar EVM tools to interact with the Hedera network. - [Integrating ED25519 Accounts and Advanced Features Into Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/native-devs/ed25519-integration.md) - [Extending Token Management with Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/native-devs/extending-token-management.md) - [For Hedera-Native Developers Adding Smart Contract Functionality](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/native-devs/index.md) - [JSON-RPC Relay and State Queries](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/native-devs/json-rpc-state-queries.md) - [Handling HBAR Transfers in Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/native-token-transfers.md) - [Token Management with Hedera Token Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/differences/tooling-compatibility.md) - [Create Tokens](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/hts-solidity/create-tokens.md): Create fungible and non-fungible HTS tokens directly from Solidity via the 0x167 system contract. - [ERC/EVM-Compatible Tokenization](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/hybrid/erc-compatibility.md) - [Hybrid (HTS + EVM ) Tokenization](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/hybrid/index.md) - [Hedera Account Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/system-contracts/account-service.md) - [Exchange Rate System Contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/system-contracts/exchange-rate.md): Query HBAR/USD exchange rates directly from your smart contracts via the 0x168 system contract. - [Hedera Token Service System Contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/system-contracts/hts.md) - [System Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/system-contracts/index.md) - [Hedera Schedule Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/hedera-services/system-contracts/schedule-service.md) - [EVM Developers](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/index.md): Deploy Solidity smart contracts on Hedera using MetaMask, Hardhat, Foundry, and the JSON-RPC relay, your existing EVM workflow. - [Chainlink CCIP](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/cross-chain/chainlink-ccip.md): Learn how Chainlink’s Cross-Chain Interoperability Protocol (CCIP) integrates with Hedera to enable secure cross-chain messaging and token transfers. - [Interoperability and Bridging](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/cross-chain/index.md) - [LayerZero](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/cross-chain/layerzero.md) - [Chainlink Oracles](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/oracles/chainlink.md) - [Oracle Networks](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/oracles/index.md): Oracle networks integrated with the Hedera network. - [Pyth Oracles](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/oracles/pyth.md) - [Supra Oracles](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/oracles/supra.md) - [Hedera Wallet Snap By MetaMask](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/wallets/metamask-snap.md) - [Tutorial: MetaMask Snaps – What Are They and How to Use Them](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/wallets/metamask-snap-tutorial.md): A step-by-step tutorial on how to integrate the Hedera Wallet Snap by MetaMask into a dApp. - [Hedera WalletConnect](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/integrations/wallets/walletconnect.md) - [Deploy your First Contract with Hedera Contract Builder](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/quickstart/deploy-with-contract-builder.md) - [Deploy and Verify a Smart Contract with Foundry](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/quickstart/deploy-with-foundry.md) - [Deploy and Verify a Smart Contract with Hardhat](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/quickstart/deploy-with-hardhat.md) - [Deploy a Smart Contract with Remix](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/quickstart/deploy-with-remix.md): A step-by-step tutorial on how to create and deploy a smart contract on the Hedera network using Remix IDE. - [Hedera Testnet Faucet](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/quickstart/get-test-hbar.md) - [Hedera Contract Builder](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/quickstart/portal-contract-builder.md) - [Add Hedera to MetaMask](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/quickstart/setup-metamask.md) - [ERC-1363 (Payable Tokens)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tokens/erc1363.md) - [ERC-20 (Fungible Tokens)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tokens/erc20.md) - [ERC-3643 (Real World Assets)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tokens/erc3643.md) - [ERC-721 (Non-Fungible Tokens)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tokens/erc721.md) - [Tokens Managed by Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tokens/index.md) - [Wrapped HBAR (WHBAR)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tokens/whbar.md) - [Hedera Contract Builder](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/contract-builder.md) - [How to Fork the Hedera Network with Foundry - Basic ERC-20 Contract (Part 1)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/foundry/forking.md) - [How to Fork the Hedera Network with Foundry - Advanced HTS Contract (Part 2)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/foundry/forking-advanced-hts.md) - [Foundry on Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/foundry/index.md) - [Configuring Foundry with Hedera Localnet/Testnet: A Step-by-Step Guide](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/foundry/setup.md) - [How to Fork the Hedera Network with Hardhat - Advanced HTS Contract (Part 2)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/hardhat/forking-advanced.md) - [How to Fork the Hedera Network with Hardhat - Basic ERC-20 Contract (Part 1)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/hardhat/forking-basic.md) - [Configuring Hardhat with Hedera Localnet/Testnet: A Step-by-Step Guide](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/hardhat/index.md) - [Development Tools](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/index.md): Tools and frameworks for building smart contracts on Hedera. - [Deploy a Subgraph Using The Graph and Hedera JSON-RPC Relay](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/other/the-graph.md) - [Deploy Smart Contracts on Hedera Using Truffle](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/other/truffle.md) - [Remix IDE](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tools/remix.md): Write, compile, and deploy Solidity contracts to Hedera testnet from your browser. - [How to Mint & Burn an ERC-721 Token using Foundry(Part 1)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/advanced/erc721-foundry/part1-mint-burn.md) - [How to Write Tests in Solidity(Part 2)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/advanced/erc721-foundry/part2-testing.md) - [How to Mint & Burn an ERC-721 Token Using Hardhat and Ethers (Part 1)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/advanced/erc721-hardhat/part1-mint-burn.md) - [How to Set Access Control, a Token URI, Pause, and Transfer an ERC-721 Token Using Hardhat (Part 2)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/advanced/erc721-hardhat/part2-access-control.md) - [How to Upgrade an ERC-721 Token with OpenZeppelin UUPS Proxies and Hardhat (Part 3)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/advanced/erc721-hardhat/part3-upgradeable.md) - [How to Connect MetaMask to Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/beginner/connect-metamask.md) - [Your First Token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/beginner/your-first-token.md): Deploy and mint an ERC-20 token on Hedera testnet using Hardhat and OpenZeppelin. - [HSS x EVM - Schedule Smart Contract Calls (Part 1)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/hedera/hss-evm/part1-schedule-calls.md) - [HSS x EVM - Dynamic Rebalancing Through Scheduled Execution (Part 2)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/hedera/hss-evm/part2-rebalancing.md) - [HTS x EVM - How to Mint NFTs (Part 1)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/hedera/hts-evm/part1-mint-nfts.md) - [HTS x EVM - KYC & Update (Part 2)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/hedera/hts-evm/part2-kyc-update.md) - [HTS x EVM - How to Pause, Freeze, Wipe, and Delete NFTs (Part 3)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/hedera/hts-evm/part3-pause-freeze-wipe.md) - [Hybrid (HTS + EVM ) Tokenization](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/hedera/hybrid-hts-evm.md) - [Create and Transfer an NFT using a Solidity Contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/hedera/nft-solidity.md) - [EVM Tutorials](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/index.md): Step-by-step guides for building on Hedera with Solidity, Hardhat, Foundry, and EVM-compatible tools. - [Configuring Hashio RPC endpoints](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/intermediate/json-rpc-connections/hashio.md) - [How to Connect to Hedera Networks Over RPC](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/intermediate/json-rpc-connections/index.md): Compare the available JSON-RPC providers for Hedera and pick the right endpoint for your project. - [Configuring Validation Cloud RPC endpoints](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/intermediate/json-rpc-connections/validation-cloud.md) - [Send and Receive HBAR Using Solidity Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/intermediate/send-receive-hbar.md) - [Verify a Smart Contract on HashScan](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/evm/tutorials/intermediate/verify-hashscan.md) - [Account Creation](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/accounts/account-creation.md) - [Account Properties](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/accounts/account-properties.md) - [Auto Account Creation](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/accounts/auto-account-creation.md) - [Hiero Hooks](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/accounts/hiero-hooks.md) - [Accounts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/accounts/index.md) - [Network Accounts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/accounts/network-accounts.md) - [Fee Model](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/fee-model.md): Understand the simplified `base-fee-plus-extras` model for Hedera transaction and query fees introduced by [HIP-1261](https://hips.hedera.com/hip/hip-1261) - [Gossip About Gossip](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/hashgraph/gossip-about-gossip.md) - [Hashgraph Consensus Algorithm](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/hashgraph/index.md): Distributed consensus algorithm - [Virtual Voting](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/hashgraph/virtual-voting.md) - [High-Volume Entity Creation](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/high-volume-entity-creation.md): Understand how high-volume throttles work, how variable-rate pricing affects your transaction fees, and how to use the high_volume flag effectively. - [Keys and Signatures](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/keys.md) - [Mirror Nodes](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/mirror-nodes.md): Store history and cost-effectively query data - [Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/services/smart-contracts.md) - [Staking](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/staking/index.md) - [Stake HBAR](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/staking/stake-hbar.md) - [Staking Program](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/staking/staking.md) - [State and History](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/state-and-history.md) - [Token Airdrops](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/tokens/airdrops.md) - [Token Creation](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/tokens/creation.md) - [Custom Fee Schedule](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/tokens/custom-fees.md) - [Hedera Token Service (HTS) Native Tokenization](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/tokens/hts-overview.md) - [Tokenization on Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/tokens/index.md) - [Token Properties](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/tokens/properties.md): create a token - [Token Types and ID Formats](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/tokens/types-and-ids.md) - [Transactions and Queries](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/transactions/index.md): An overview of Hedera API transactions and queries - [Transaction Properties](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/transactions/properties.md) - [Schedule Transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/core-concepts/transactions/scheduled.md) - [Choose Your Path](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/getting-started/choose-your-path.md): Two ways to build on Hedera — find the one that fits your background. - [Create an Account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/getting-started/create-portal-account.md) - [Start Here](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/getting-started/index.md): Your guide to understanding and building on Hedera. - [Developer Playground](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/getting-started/portal-playground.md) - [Hedera Testnet Faucet](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/getting-started/testnet-faucet.md) - [What is Hedera?](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/getting-started/what-is-hedera.md): Hedera is a public, open-source, proof-of-stake distributed ledger built on Hashgraph consensus — not a blockchain. - [Why Build on Hedera?](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/getting-started/why-hedera.md): Performance, predictability, and sustainability — built for production. - [Learn Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/index.md): Get started with Hedera: what it is, how it works, and the core concepts behind accounts, tokens, consensus, and smart contracts. - [Network Explorers and Tools](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/community-mirror-nodes.md): Network explorers hosted by the community - [Localnet](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/localnet/index.md) - [Multinode Configuration](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/localnet/multinode.md) - [Single Node Configuration](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/localnet/single-node.md) - [Mainnet Accounts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/mainnet/access.md) - [Fees](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/mainnet/fees.md): Hedera network fees - [Mainnet](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/mainnet/index.md): Join Hedera Mainnet - [Transaction Records](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/mainnet/transaction-records.md) - [Testnet Accounts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/testnet/access.md) - [Testnets](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/testnet/index.md): Join a Hedera Testnet - [Testnet Consensus Nodes](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/networks/testnet/nodes.md) - [Hedera Mirror Node](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/release-notes/mirror-node.md): Hedera mirror node release notes - [Consensus Node](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/learn/release-notes/services.md): Consensus Node release information - [Delete an allowance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/adjust-allowance.md) - [Approve an allowance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/approve-allowance.md) - [Create an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/create.md) - [Delete an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/delete.md) - [Network Response Messages](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/errors.md) - [Get account balance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/get-balance.md) - [Get account info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/get-info.md) - [Transfer cryptocurrency](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/transfer.md) - [Update an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/accounts/update.md) - [Create a topic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/consensus/create-topic.md) - [Delete a topic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/consensus/delete-topic.md) - [Network Response](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/consensus/errors.md) - [Get topic info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/consensus/get-info.md) - [Get topic messages](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/consensus/get-message.md) - [Submit a message](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/consensus/submit-message.md) - [Update a topic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/consensus/update-topic.md) - [Estimating Fees with the SDK](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/fees/fee-estimation.md): Use FeeEstimateQuery to estimate transaction fees before submission, gate spending, and simulate high-volume pricing. - [Append to a file](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/files/append.md) - [Create a file](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/files/create.md) - [Delete a file](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/files/delete.md) - [Network Response Messages](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/files/errors.md) - [Get file contents](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/files/get-contents.md) - [Get file info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/files/get-info.md) - [Update a file](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/files/update.md) - [Network Address Book](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/fundamentals/address-book.md) - [Hedera Client](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/fundamentals/client.md) - [HBAR](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/fundamentals/hbars.md) - [SDKs](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/fundamentals/index.md): Community SDKs, wallets, decentralized identity, and REST options that complement the official Hedera SDKs. - [Local Network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/fundamentals/local-network.md) - [Specialized Types](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/fundamentals/specialized-types.md) - [Native SDKs](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/index.md): Build on Hedera using the JavaScript, Java, Go, Swift, and Rust SDKs: full access to HTS, HCS, scheduled transactions, smart contracts, and the file service. - [Generate a new key pair](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/keys/generate-key-pair.md) - [Import an existing key](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/keys/import-key.md) - [Create a key list](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/keys/key-list.md) - [Generate a mnemonic phrase](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/keys/mnemonic-generate.md) - [Recover keys from a mnemonic phrase](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/keys/mnemonic-recover.md) - [Create a threshold key](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/keys/threshold-key.md) - [Run a Local Node in Codespaces](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/local-dev/cde/codespaces.md) - [Run a Local Node in Gitpod](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/local-dev/cde/gitpod.md) - [How to Run Hedera Local Node in a Cloud Development Environment (CDE)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/local-dev/cde/index.md) - [Set Up a Hedera Local Node using the NPM CLI](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/local-dev/setup-cli-npm.md) - [How to Set Up a Hedera Local Node](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/local-dev/setup-local-node.md) - [Pseudorandom Number Generator](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/prng.md) - [Queries](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/queries.md) - [Go Quickstart](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/quickstart/go.md): Connect to Hedera testnet from Go, query your balance, and transfer HBAR. - [Java Quickstart](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/quickstart/java.md): Connect to Hedera testnet from Java, query your balance, and transfer HBAR. - [Quickstart](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/quickstart/javascript.md) - [Create a schedule transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/scheduled/create.md) - [Delete a schedule transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/scheduled/delete.md) - [Get schedule info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/scheduled/get-info.md) - [Network Response Messages](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/scheduled/response-messages.md) - [Schedule ID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/scheduled/schedule-id.md) - [Sign a scheduled transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/scheduled/sign.md) - [Local Provider](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/signature-provider/local-provider.md) - [Provider](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/signature-provider/provider.md) - [Signer](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/signature-provider/signer.md) - [Wallet](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/signature-provider/wallet.md) - [Call a smart contract function](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/call.md) - [Create a smart contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/create.md) - [Delegate Contract ID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/delegate-contract-id.md) - [Delete a smart contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/delete.md) - [Network Response Messages](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/errors.md) - [Ethereum transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/ethereum-transaction.md) - [Get smart contract bytecode](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/get-bytecode.md) - [Get a smart contract function](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/get-function.md) - [Get smart contract info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/get-info.md) - [Hedera Service Solidity Libraries](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/solidity-libraries.md) - [Update a smart contract](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/smart-contracts/update.md) - [Airdrop a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/airdrop.md) - [Associate tokens to an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/associate.md) - [Atomic swaps](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/atomic-swaps.md) - [Burn a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/burn.md) - [Cancel a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/cancel.md) - [Claim a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/claim.md) - [Custom token fees](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/custom-fees.md) - [Create a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/define.md) - [Delete a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/delete.md) - [Disable KYC account flag](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/disable-kyc.md) - [Dissociate tokens from an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/dissociate.md) - [Enable KYC account flag](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/enable-kyc.md) - [Network Response Messages](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/errors.md) - [Freeze an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/freeze.md) - [Get account token balance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/get-balance.md) - [Get token info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/get-info.md) - [Get NFT info](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/get-nft-info.md) - [Mint a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/mint.md) - [NFT ID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/nft-id.md) - [Pause a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/pause.md) - [Reject a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/reject-airdrop.md) - [Token ID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/token-id.md) - [Token types](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/token-types.md) - [Transfer tokens](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/transfer.md) - [Unfreeze an account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/unfreeze.md) - [Unpause a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/unpause.md) - [Update a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/update.md) - [Update token custom fees](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/update-fee-schedule.md) - [Update NFT metadata](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/update-nft-metadata.md) - [Wipe a token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tokens/wipe.md) - [Create a Batch Transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/batch.md) - [Transactions](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/index.md) - [Manually sign a transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/manual-sign.md) - [Modify transaction fields](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/modify-fields.md) - [Sign a multisignature transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/multisig.md) - [Get a transaction receipt](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/receipt.md) - [Get a transaction record](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/record.md) - [Submit a transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/submit.md) - [Transaction ID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/transaction-id.md) - [Create an unsigned transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/transactions/unsigned.md) - [How to Configure a Mirror Node and Query Data](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/configure-mirror-node.md): A step-by-step guide on how to configure a mirror node and query specific data on the Hedera Network - [Building on Hedera (course)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/hashgraphdev.md) - [Get Started with the Hedera Consensus Service Fabric Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/hcs-fabric-plugin/index.md) - [Virtual Environment Setup](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/hcs-fabric-plugin/virtual-environment.md) - [Sign Hedera Transactions with AWS KMS](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/hsm-signing/aws-kms.md) - [Sign Hedera Transactions with Azure Key Vault](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/hsm-signing/azure-key-vault.md) - [Sign Hedera Transactions with Google Cloud HSM](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/hsm-signing/gcp-kms.md) - [HSM/KMS Signing Solutions](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/hsm-signing/index.md) - [JavaScript Testing](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/javascript-testing.md): How to test Javascript, using Javascript - [Hedera Docs MCP Server Setup Guide](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/mcp-server-setup.md) - [How to Generate a Random Number on Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/random-number.md) - [Create a Hedera DApp Integrated with WalletConnect](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/advanced/walletconnect-dapp.md): In the dynamic world of decentralized applications (DApps), catering to users with diverse wallet preferences is important. - [Batch, anchor, and verify records with HCS](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/consensus/batch-anchor-verify.md): Learn how to batch records off-chain, compute a Merkle root, and anchor it on Hedera Consensus Service for cost-effective verification. - [Create a Topic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/consensus/create-first-topic.md) - [Submit Message to Private Topic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/consensus/private-topic.md) - [Query Messages with Mirror Node](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/consensus/query-mirror-node.md) - [Submit Your First Message](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/consensus/submit-first-message.md) - [How to Auto-Create Hedera Accounts with HBAR and Token Transfers](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/getting-started/auto-create-accounts.md) - [How to Create a Personal Access Token (API Key) on the Hedera Portal](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/getting-started/create-api-key.md) - [Create and Fund Your Hedera Testnet Account](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/getting-started/create-fund-account.md) - [More Tutorials](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/more/index.md) - [Schedule Your First Transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/scheduled/schedule-first.md) - [Create Your First Frictionless Airdrop Campaign](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/airdrop-campaign.md) - [Create a Token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/create-first-token.md) - [Create and Transfer Your First Fungible Token](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/create-transfer-fungible.md) - [Create and Transfer Your First NFT](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/create-transfer-nft.md) - [Hedera Token Service - Part 1: How to Mint NFTs](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/hts-part1-mint.md) - [Hedera Token Service - Part 2: KYC, Update, and Scheduled Transactions](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/hts-part2-kyc.md) - [Hedera Token Service - Part 3: How to Pause, Freeze, Wipe, and Delete NFTs](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/hts-part3-admin.md) - [Structure Your Token Metadata Using JSON Schema V2](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/native/tutorials/tokens/metadata-schema.md) - [Node Deployment Process](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/consensus-node/deployment.md) - [Mainnet Consensus Nodes](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/consensus-node/index.md) - [FAQ](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/consensus-node/requirements/faq.md): Common questions for the current Hedera's permissioned Mainnet consensus nodes - [Node Deployment Requirements](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/consensus-node/requirements/index.md): The Hedera mainnet is currently comprised of permissioned consensus nodes operated by the Hedera Council. - [Operators](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/index.md): Run and operate Hedera infrastructure: mirror nodes, JSON-RPC relay, and consensus nodes. - [JSON-RPC Configuration](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/json-rpc/configuration.md): Environment variables and runtime tuning for the Hiero JSON-RPC Relay. - [JSON-RPC Relay](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/json-rpc/index.md): What the Hiero JSON-RPC Relay is, who runs it, and when to host your own. - [JSON-RPC Setup](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/json-rpc/setup.md): Install and run the Hiero JSON-RPC Relay locally or in a container orchestrator. - [Mirror Node Architecture](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/mirror-node/architecture.md): How the Hedera mirror node components fit together: importer, database, REST API, gRPC, and Web3 APIs. - [Hedera Mirror Node](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/mirror-node/index.md) - [One-Click Deployment](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/mirror-node/one-click-deploy.md) - [Run Your Own Mirror Node with Google Cloud Storage (GCS)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/mirror-node/run-your-own/gcs.md) - [Run Your Own Mirror Node](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/mirror-node/run-your-own/index.md) - [Run Your Mirror Node with Amazon Web Services S3 (AWS)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/operators/mirror-node/run-your-own/s3.md) - [Hedera Consensus Service gRPC API](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/hcs-api.md): The Hedera Consensus Service (HCS) gRPC API is a public mirror node managed by Hedera. It offers the ability to subscribe to HCS topics and receive messages for the topic subscribed. - [Reference](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/index.md): Complete API and protocol reference: REST, gRPC, Protobuf, and status APIs for every Hedera service. - [Network Response Codes](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/network-responses.md) - [AccountAmount](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/accountamount.md) - [AccountID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/accountid.md) - [ContractID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/contractid.md) - [CryptoAllowance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/cryptoallowance.md) - [CurrentAndNextFeeSchedule](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/currentandnextfeeschedule.md) - [FeeComponents](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/feecomponents.md) - [FeeData](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/feedata.md) - [FeeSchedule](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/feeschedule.md) - [FileID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/fileid.md) - [Fraction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/fraction.md) - [HederaFunctionality](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/hederafunctionality.md) - [Basic Types](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/index.md) - [Key](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/key.md) - [KeyList](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/keylist.md) - [NftAllowance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/nftallowance.md) - [NftTransfer](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/nfttransfer.md) - [NodeAddress](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/nodeaddress.md) - [NodeAddressBook](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/nodeaddressbook.md) - [RealmID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/realmid.md) - [ScheduleID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/scheduleid.md) - [SemanticVersion](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/semanticversion.md) - [ServiceEndpoint](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/serviceendpoint.md) - [ServicesConfigurationList](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/servicesconfigurationlist.md) - [Setting](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/setting.md) - [ShardID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/shardid.md) - [Signature](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/signature.md) - [SignatureList](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/signature-list.md) - [SignaturePair](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/signature-pair.md) - [SignatureMap](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/signaturemap.md) - [SubType](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/subtype.md) - [ThresholdKey](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/thresholdkey.md) - [ThresholdSignature](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/thresholdsignature.md) - [TokenAllowance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenallowance.md) - [TokenBalance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenbalance.md) - [TokenBalances](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenbalances.md) - [TokenFreezeStatus](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenfreezestatus.md) - [TokenID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenid.md) - [TokenKycStatus](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenkycstatus.md) - [TokenPauseStatus](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenpausestatus.md) - [TokenRelationship](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokenrelationship.md) - [TokenSupplyType](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokensupplytype.md) - [TokenTransferList](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokentransferlist.md) - [TokenType](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/tokentype.md) - [TopicID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/topicid.md) - [TransactionFeeSchedule](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/transactionfeeschedule.md) - [TransactionID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/transactionid.md) - [TransferList](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/basic-types/transferlist.md) - [Consensus Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/consensus-service.md) - [ConsensusCreateTopic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/consensuscreatetopic.md) - [ConsensusDeleteTopic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/consensusdeletetopic.md) - [ConsensusGetTopicInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/consensusgettopicinfo.md) - [ConsensusSubmitMessage](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/consensussubmitmessage.md) - [ConsensusTopicInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/consensustopicinfo.md) - [ConsensusUpdateTopic](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/consensusupdatetopic.md) - [Consensus Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/consensus/index.md) - [CryptApproveAllowance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptapproveallowance.md) - [CryptoCreate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptocreate.md) - [CryptoDelete](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptodelete.md) - [CryptoDeleteAllowance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptodeleteallowance.md) - [CryptoGetAccountBalance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptogetaccountbalance.md) - [CryptoGetAccountRecords](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptogetaccountrecords.md) - [CryptoGetInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptogetinfo.md) - [CryptoGetStakers](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptogetstakers.md) - [CryptoService](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptoservice.md) - [CryptoTransfer](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptotransfer.md) - [CryptoUpdate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/cryptoupdate.md) - [Cryptocurrency Accounts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/crypto/index.md) - [FileAppend](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/fileappend.md) - [FileCreate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/filecreate.md) - [FileDelete](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/filedelete.md) - [FileGetContents](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/filegetcontents.md) - [FileGetInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/filegetinfo.md) - [FileService](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/fileservice.md) - [FileUpdate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/fileupdate.md) - [File Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/file/index.md) - [Duration](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/duration.md) - [ExchangeRate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/exchangerate.md) - [Freeze](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/freeze.md) - [FreezeType](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/freezetype.md) - [GetByKey](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/getbykey.md) - [GetBySolidityID](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/getbysolidityid.md) - [Miscellaneous](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/index.md) - [NetworkGetVersionInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/networkgetversioninfo.md) - [NetworkService](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/networkservice.md) - [Query](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/query.md) - [QueryHeader](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/queryheader.md) - [Response](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/response.md) - [ResponseCode](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/responsecode.md) - [ResponseHeader](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/responseheader.md) - [SystemDelete](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/systemdelete.md) - [SystemUndelete](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/systemundelete.md) - [TimeStamp](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/timestamp.md) - [Transaction](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transaction.md) - [TransactionContents](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transaction-contents.md) - [TransactionBody](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transactionbody.md) - [TransactionGetFastRecord](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transactiongetfastrecord.md) - [TransactionGetReceipt](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transactiongetreceipt.md) - [TransactionGetRecord](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transactiongetrecord.md) - [TransactionReceipt](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transactionreceipt.md) - [TransactionRecord](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transactionrecord.md) - [TransactionResponse](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/transactionresponse.md) - [UncheckedSubmit](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/miscellaneous/uncheckedsubmit.md) - [Schedule Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/schedule/index.md) - [SchedulableTransactionBody](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/schedule/schedulabletransactionbody.md) - [ScheduleCreate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/schedule/schedulecreate.md) - [ScheduleDelete](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/schedule/scheduledelete.md) - [ScheduleGetInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/schedule/schedulegetinfo.md) - [ScheduleService](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/schedule/scheduleservice.md) - [ScheduleSign](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/schedule/schedulesign.md) - [ContractCall](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractcall.md) - [ContractCallLocal](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractcalllocal.md) - [ContractCreate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractcreate.md) - [ContractDelete](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractdelete.md) - [ContractGetByteCode](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractgetbytecode.md) - [ContractGetInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractgetinfo.md) - [ContractGetRecords](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractgetrecords.md) - [ContractUpdate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/contractupdate.md) - [Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/index.md) - [SmartContractService](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/smart-contracts/smartcontractservice.md) - [CustomFees](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/customfees.md) - [AssessedCustomFee](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/customfees/assessedcustomfee.md) - [CustomFee](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/customfees/customfee.md) - [FixedFee](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/customfees/fixedfee.md) - [FractionalFee](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/customfees/fractionalfee.md) - [RoyaltyFee](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/customfees/royaltyfee.md) - [Token Service](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/index.md) - [TokenAssociate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenassociate.md) - [TokenBurn](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenburn.md) - [TokenCreate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokencreate.md) - [TokenDelete](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokendelete.md) - [TokenDissociate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokendissociate.md) - [TokenFeeScheduleUpdate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenfeescheduleupdate.md) - [TokenFreezeAccount](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenfreezeaccount.md) - [TokenGetAccountNftInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokengetaccountnftinfo.md) - [TokenGetInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokengetinfo.md) - [TokenGetNftInfo](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokengetnftinfo.md) - [TokenGetNftInfos](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokengetnftinfos.md) - [TokenGrantKyc](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokengrantkyc.md) - [TokenMint](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenmint.md) - [TokenPause](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenpause.md) - [TokenRevokeKyc](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenrevokekyc.md) - [TokenService](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenservice.md) - [TokenUnfreezeAccount](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenunfreezeaccount.md) - [TokenUnpause](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenunpause.md) - [TokenUpdate](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenupdate.md) - [TokenWipeAccount](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/protobuf/token/tokenwipeaccount.md) - [Accounts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/accounts/index.md) - [Balances](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/balances/index.md) - [Blocks](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/blocks/index.md) - [Smart Contracts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/contracts/index.md) - [Mirror Node REST API](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/index.md): The mirror node REST API offers the ability to query transaction information. - [Network](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/network/index.md): Mirror Node REST API endpoints for querying network supply, fees, exchange rates, nodes, and staking information. - [Schedule Transactions](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/schedules/index.md) - [Tokens](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/tokens/index.md) - [Topics](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/topics/index.md) - [Transactions](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/rest-api/transactions/index.md) - [Hedera Status API](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/status-api.md) - [Smart Contract Verification API](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/reference/verification-api.md) - [Hooks and Policies](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/hooks-and-policies.md): Learn how to use Hooks and Policies to customize tool behavior and enforce business logic in the Hedera Agent Kit. - [Hedera AI Agent Kit](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/index.md): Build LLM-powered applications that interact with the Hedera Network - [Hooks and Policies (JS)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/js/create-hooks-and-policies.md): Learn how to use and create Hooks and Policies in the Hedera Agent Kit JavaScript SDK. - [Create JavaScript Plugins](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/js/create-plugins.md): Instructions for Creating, Publishing and Registering your Hedera Agent Kit Plugin - [Migration Guide v3 to v4](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/js/migration-guide.md): Upgrade your Hedera Agent Kit project from v3 to v4 - [Plugins (JavaScript)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/js/plugins.md): The Hedera Agent Kit implements a plugin architecture to include features and functionality for both Hedera Network functions and Services, as well as third party apps and projects. - [Quickstart (JavaScript)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/js/quickstart.md): Get started with the Hedera Agent Kit using JavaScript/TypeScript - [Plugins](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/plugins.md): Introduction to the plugin architecture, and an overview of Hedera and third-party plugins. - [Hooks and Policies (Python)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/python/create-hooks-and-policies.md): Learn how to use and create Hooks and Policies in the Hedera Agent Kit Python SDK. - [Create Python Plugins](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/python/create-plugins.md): Instructions for creating, publishing, and registering your Python Hedera Agent Kit Plugin - [Plugins (Python)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/python/plugins.md): Plugin architecture and available tools for the Python SDK - [Quickstart (Python)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-kit/python/quickstart.md): Get started with the Hedera Agent Kit using Python - [Agent Lab](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/agent-lab.md): Experiment with and evaluate AI agents built with Hedera AI Studio. - [ElizaOS Plugin for Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/elizaos.md): A plugin built for the ElizaOS framework to enable developers creating ElizaOS Agents to seamlessly integrate Hedera Network Functionality - [Hosted MCP Server](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/hosted-mcp-server.md): Use the Hashgraph Hosted Model Context Protocol (MCP) server to integrate Hedera Agent Kit tools into your MCP-compatible clients - [AI Studio on Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/index.md): Build verifiable, transparent AI agents on Hedera. - [x402 Payment Standard on Hedera](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/ai/x402.md): Programmable, HTTP-native payments for apps and AI agents using Hedera's official x402 payment scheme. - [Demo Applications](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/examples/demos.md) - [Starter Projects](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/examples/starters.md) - [DAO Proposals](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/governance/hashiodao/dao-proposals.md) - [Governance Token DAO](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/governance/hashiodao/governance-token-dao.md) - [HashioDAO](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/governance/hashiodao/index.md) - [Local Environment Setup](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/governance/hashiodao/local-environment-setup.md) - [Multisig DAO](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/governance/hashiodao/multisig-dao.md) - [NFT DAO](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/governance/hashiodao/nft-dao.md) - [Open-Source Solutions](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/index.md): Open-source studios and toolkits for tokenization, AI agents, governance, sustainability, and developer tooling on Hedera. - [Hedera Guardian](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/sustainability/guardian.md) - [Frequently Asked Questions (FAQs)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/ats/faq.md) - [Asset Tokenization Studio](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/ats/index.md) - [Web User Interface (UI)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/ats/web-ui.md) - [Airdrop List Verifier](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/nft-studio/airdrop-verifier.md) - [Token Balance Snapshot](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/nft-studio/balance-snapshot.md) - [NFT Studio](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/nft-studio/index.md) - [Metadata Validator](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/nft-studio/metadata-validator.md) - [NFT Rarity Inspector](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/nft-studio/rarity-inspector.md) - [NFT Risk Calculator](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/nft-studio/risk-calculator.md) - [NFT Token Holders List Builder](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/nft-studio/token-holders-list.md) - [CLI Management](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/stablecoin/cli.md) - [Core Concepts](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/stablecoin/core-concepts.md) - [Web UI Application](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tokenization/stablecoin/web-ui.md) - [Hedera Developers Code Repository](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/code-repo.md) - [Hedera Custodians Library](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/custodians-library.md) - [How to Use the Hedera Custodians Library](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/custodians-library-usage.md) - [Feature coverage and gaps](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/feature-coverage-gap-report.md): Visual coverage map of Hedera network capabilities exposed through Hiero CLI, including known gaps and default plugin command inventory. - [Overview](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/overview.md) - [Account Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/account-plugin.md) - [Batch Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/batch-plugin.md) - [Config Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/config-plugin.md) - [Contract ERC-20 Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/contract-erc20-plugin.md) - [Contract ERC-721 Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/contract-erc721-plugin.md) - [Contract Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/contract-plugin.md) - [Credentials Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/credentials-plugin.md) - [HBAR Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/hbar-plugin.md) - [Network Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/network-plugin.md) - [Plugin Management Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/plugin-management-plugin.md) - [Schedule Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/schedule-plugin.md) - [Swap Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/swap-plugin.md) - [Token Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/token-plugin.md) - [Topic Plugin](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/plugins/topic-plugin.md) - [Quickstart](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/hiero-cli/scripting/quickstart.md) - [Hedera NFT SDK](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/nft-sdk-redirect.md) - [Hedera Developer Playground](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/playground.md): Hedera Developer Playground: Your Sandbox for Building Cool Stuff - [Stablecoin Studio SDK](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/stablecoin-sdk-redirect.md) - [Hedera Wallet Snap](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/wallet-snap-intro.md) - [Hedera WalletConnect](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/solutions/tools/walletconnect-redirect.md) - [Brand Guidelines](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/brand-guidelines.md) - [Creating Issues](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/contribution-guidelines/creating-issues.md) - [Creating Pull Requests](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/contribution-guidelines/creating-pull-requests.md): A pull request is a way to suggest changes in our repository. A PR allows the team to discuss your changes, review code, and provide feedback before merging it into the main branch. - [Hedera Improvement Proposal (HIP)](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/contribution-guidelines/hip.md) - [Contribution Guidelines](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/contribution-guidelines/index.md): You can contribute to Hedera Docs content in several ways. - [Submit Demo Applications](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/contribution-guidelines/submit-demo.md) - [Contributing to Hedera documentation](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/index.md): Learn how to submit a demo application, create pull requests, or log issues in the Hedera Contributing Guide. - [Understanding different types of documentation](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/doc-types.md): This page provides an overview of the three primary types of documentation — Instructional, Conceptual, and Reference — highlighting their distinct purposes, structures, and writing styles. - [Formatting](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/formatting.md): This page outlines the proper use of ordered (numbered) and unordered (bulleted) lists within Hedera documentation, ensuring clear communication of steps based on their sequence or flexibility. - [Gitbook Markdown Syntax](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/gitbook-markdown-syntax.md) - [Style Guide](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/index.md): Follow this guide to ensure Hedera's documentation stays consistent and follows clear patterns that our readers can understand. - [Language and grammar](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/language-grammar.md): This page outlines guidelines on language and grammar for Hedera documentation, covering American English spelling, abbreviation usage, active voice, punctuation, and tone. - [Punctuation](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/punctuation.md): This page explains the required use of punctuation within the Hedera documentation to ensure clarity and prevent ambiguity in lists of three or more items. - [Use of HBAR and tinybars](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/use-of-hbar-and-tinybars.md): This page outlines the correct usage of "HBAR" and "tinybars" in Hedera-related writing. - [Use of mainnet, testnet, and previewnet](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/use-of-mainnet-testnet-and-previewnet.md) - [Use of web2 and web3](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/contributing/style-guide/use-of-web2-and-web3.md): This page provides guidelines for consistently using "web2" and "web3" in lowercase to ensure clarity and proper styling in documentation. - [Community](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/faq/community.md) - [Getting Started](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/faq/getting-started.md) - [Network Governance](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/faq/governance.md) - [HBAR](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/faq/hbar.md) - [Documentation Survey](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/forms.md) - [Github](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/github-com-hashgraph.md) - [Glossary](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/glossary.md): Hedera & Web3 Glossary - Comprehensive Guide for Developers - [Hedera Blog](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/hedera-com-blog-tagged-technical.md) - [Bug Bounty](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/hedera-com-bounty.md) - [Discord](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/hedera-com-discord.md) - [Hedera Help](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/help-hedera-com-hc-en-us.md) - [Support & Community](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/index.md): FAQs, contributing guides, glossary, brand guidelines, and links to the Hedera developer community. - [Meetups](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/meetups.md): Hedera Hashgraph Meetups offer a great opportunity for community members to learn about how to use Hedera network services, best development practices, and much more. - [Status Page](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/support/status-hedera-com.md) ## OpenAPI Specs - [smart-contract-verification-api](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/smart-contract-verification-api.yaml) - [openapi](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/openapi.yaml) - [hedera-status-api](https://hedera-0c6e0218-docs-hedera-studios-landing.mintlify.app/hedera-status-api.yaml) ## Optional - [Status](http://status.hedera.com/) - [Discord](https://hedera.com/discord) - [Playground](https://portal.hedera.com/playground) - [Blog](https://hedera.com/blog)